﻿using C1.Win.Chart;
using System;
using System.Data;
using System.Linq;
using System.Windows.Forms;

namespace FlexChart_CustomLabels
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var rnd = new Random();
            this.Controls.Add(new FlexChart()
            {
                Dock = DockStyle.Fill,
                DataSource = Enumerable.Range(1, 10).Select(i => new DataPoint
                {
                    X = $"{i}point",
                    Y = rnd.Next(10)
                }),
                BindingX = "FormattedX",
                Binding = "Y",
                Series =
                {
                    new Series()
                },
                AxisX =
                {
                    //comment out the following line to see how "FormattedX" property works
                    DataSource = new string[]{"11", "22", "33", "44", "55", "66", "77", "88", "99", "00"}
                }
            });
        }

        class DataPoint
        {
            public string X { get; set; }
            public int Y { get; set; }
            public string FormattedX { get => X.Substring(0, 2); }
        }
    }
}
